# Uses of Class
org.bukkit.potion.PotionEffectType

Packages that use PotionEffectType
Package
Description
io.papermc.paper.event.player
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.

## Uses of PotionEffectType in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return PotionEffectType
Modifier and Type
Method
Description
`@Nullable PotionEffectType`
PlayerChangeBeaconEffectEvent.`getPrimary()`
`@Nullable PotionEffectType`
PlayerChangeBeaconEffectEvent.`getSecondary()`
Methods in io.papermc.paper.event.player with parameters of type PotionEffectType
Modifier and Type
Method
Description
`void`
PlayerChangeBeaconEffectEvent.`setPrimary(@Nullable PotionEffectType primary)`
Sets the primary effect
`void`
PlayerChangeBeaconEffectEvent.`setSecondary(@Nullable PotionEffectType secondary)`
Sets the secondary effect
Constructors in io.papermc.paper.event.player with parameters of type PotionEffectType
Modifier
Constructor
Description
``
`PlayerChangeBeaconEffectEvent(@NotNull Player player, @Nullable PotionEffectType primary, @Nullable PotionEffectType secondary, @Nullable Block beacon)`

## Uses of PotionEffectType in org.bukkit

Fields in org.bukkit with type parameters of type PotionEffectType
Modifier and Type
Field
Description
`static final Registry<PotionEffectType>`
Registry.`POTION_EFFECT_TYPE`
Potion effect types.

## Uses of PotionEffectType in org.bukkit.block

Methods in org.bukkit.block with parameters of type PotionEffectType
Modifier and Type
Method
Description
`void`
Beacon.`setPrimaryEffect(@Nullable PotionEffectType effect)`
Set the primary effect on this beacon, or null to clear.
`void`
Beacon.`setSecondaryEffect(@Nullable PotionEffectType effect)`
Set the secondary effect on this beacon, or null to clear.

## Uses of PotionEffectType in org.bukkit.entity

Methods in org.bukkit.entity that return PotionEffectType
Modifier and Type
Method
Description
`PotionEffectType`
MushroomCow.`getStewEffectType()`
Gets the type of effect applied to stew from this mushroom cow is.
Methods in org.bukkit.entity with parameters of type PotionEffectType
Modifier and Type
Method
Description
`@Nullable PotionEffect`
LivingEntity.`getPotionEffect(@NotNull PotionEffectType type)`
Returns the active `PotionEffect` of the specified type.
`boolean`
AreaEffectCloud.`hasCustomEffect(@Nullable PotionEffectType type)`
Checks for a specific custom potion effect type on this cloud.
`boolean`
Arrow.`hasCustomEffect(@Nullable PotionEffectType type)`
Checks for a specific custom potion effect type on this arrow.
`boolean`
LivingEntity.`hasPotionEffect(@NotNull PotionEffectType type)`
Returns whether the living entity already has an existing effect of the given `PotionEffectType` applied to it.
`boolean`
AreaEffectCloud.`removeCustomEffect(@NotNull PotionEffectType type)`
Removes a custom potion effect from this cloud.
`boolean`
Arrow.`removeCustomEffect(@NotNull PotionEffectType type)`
Removes a custom potion effect from this arrow.
`void`
LivingEntity.`removePotionEffect(@NotNull PotionEffectType type)`
Removes any effects present of the given `PotionEffectType`.
`void`
MushroomCow.`setStewEffect(PotionEffectType type)`
Sets the type of effect applied to stew from this mushroom cow is.

## Uses of PotionEffectType in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return PotionEffectType
Modifier and Type
Method
Description
`@NotNull PotionEffectType`
EntityPotionEffectEvent.`getModifiedType()`
Gets the modified potion effect type.

## Uses of PotionEffectType in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta with parameters of type PotionEffectType
Modifier and Type
Method
Description
`boolean`
PotionMeta.`hasCustomEffect(@NotNull PotionEffectType type)`
Checks for a specific custom potion effect type on this potion.
`boolean`
SuspiciousStewMeta.`hasCustomEffect(@NotNull PotionEffectType type)`
Checks for a specific custom potion effect type on this suspicious stew.
`boolean`
PotionMeta.`removeCustomEffect(@NotNull PotionEffectType type)`
Removes a custom potion effect from this potion.
`boolean`
SuspiciousStewMeta.`removeCustomEffect(@NotNull PotionEffectType type)`
Removes a custom potion effect from this suspicious stew.
`boolean`
PotionMeta.`setMainEffect(@NotNull PotionEffectType type)`
Deprecated.
use `PotionMeta.setBasePotionData(org.bukkit.potion.PotionData)`

## Uses of PotionEffectType in org.bukkit.potion

Subclasses of PotionEffectType in org.bukkit.potion
Modifier and Type
Class
Description
`class`
`PotionEffectTypeWrapper`
Fields in org.bukkit.potion declared as PotionEffectType
Modifier and Type
Field
Description
`static final PotionEffectType`
PotionEffectType.`ABSORPTION`
Increases the maximum health of an entity with health that cannot be regenerated, but is refilled every 30 seconds.
`static final PotionEffectType`
PotionEffectType.`BAD_OMEN`
Triggers a raid when the player enters a village.
oof.
`static final PotionEffectType`
PotionEffectType.`BLINDNESS`
Blinds an entity.
`static final PotionEffectType`
PotionEffectType.`CONDUIT_POWER`
Effects granted by a nearby conduit.
`static final PotionEffectType`
PotionEffectType.`CONFUSION`
Warps vision on the client.
`static final PotionEffectType`
PotionEffectType.`DAMAGE_RESISTANCE`
Decreases damage dealt to an entity.
`static final PotionEffectType`
PotionEffectType.`DARKNESS`
Causes the player's vision to dim occasionally.
`static final PotionEffectType`
PotionEffectType.`DOLPHINS_GRACE`
Increses underwater movement speed.
Squee'ek uh'k kk'kkkk squeek eee'eek.
`static final PotionEffectType`
PotionEffectType.`FAST_DIGGING`
Increases dig speed.
`static final PotionEffectType`
PotionEffectType.`FIRE_RESISTANCE`
Stops fire damage.
`static final PotionEffectType`
PotionEffectType.`GLOWING`
Outlines the entity so that it can be seen from afar.
`static final PotionEffectType`
PotionEffectType.`HARM`
Hurts an entity.
`static final PotionEffectType`
PotionEffectType.`HEAL`
Heals an entity.
`static final PotionEffectType`
PotionEffectType.`HEALTH_BOOST`
Increases the maximum health of an entity.
`static final PotionEffectType`
PotionEffectType.`HERO_OF_THE_VILLAGE`
Reduces the cost of villager trades.
\o/.
`static final PotionEffectType`
PotionEffectType.`HUNGER`
Increases hunger.
`static final PotionEffectType`
PotionEffectType.`INCREASE_DAMAGE`
Increases damage dealt.
`static final PotionEffectType`
PotionEffectType.`INVISIBILITY`
Grants invisibility.
`static final PotionEffectType`
PotionEffectType.`JUMP`
Increases jump height.
`static final PotionEffectType`
PotionEffectType.`LEVITATION`
Causes the entity to float into the air.
`static final PotionEffectType`
PotionEffectType.`LUCK`
Loot table luck.
`static final PotionEffectType`
PotionEffectType.`NIGHT_VISION`
Allows an entity to see in the dark.
`static final PotionEffectType`
PotionEffectType.`POISON`
Deals damage to an entity over time.
`static final PotionEffectType`
PotionEffectType.`REGENERATION`
Regenerates health.
`static final PotionEffectType`
PotionEffectType.`SATURATION`
Increases the food level of an entity each tick.
`static final PotionEffectType`
PotionEffectType.`SLOW`
Decreases movement speed.
`static final PotionEffectType`
PotionEffectType.`SLOW_DIGGING`
Decreases dig speed.
`static final PotionEffectType`
PotionEffectType.`SLOW_FALLING`
Slows entity fall rate.
`static final PotionEffectType`
PotionEffectType.`SPEED`
Increases movement speed.
`static final PotionEffectType`
PotionEffectType.`UNLUCK`
Loot table unluck.
`static final PotionEffectType`
PotionEffectType.`WATER_BREATHING`
Allows breathing underwater.
`static final PotionEffectType`
PotionEffectType.`WEAKNESS`
Decreases damage dealt by an entity.
`static final PotionEffectType`
PotionEffectType.`WITHER`
Deals damage to an entity over time and gives the health to the shooter.
Methods in org.bukkit.potion that return PotionEffectType
Modifier and Type
Method
Description
`static @Nullable PotionEffectType`
PotionEffectType.`getById(int id)`
Deprecated.
Magic value
`static @Nullable PotionEffectType`
PotionEffectType.`getByKey(@Nullable NamespacedKey key)`
Gets the PotionEffectType at the specified key
`static @Nullable PotionEffectType`
PotionEffectType.`getByName(@NotNull String name)`
Gets the effect type specified by the given name.
`@Nullable PotionEffectType`
PotionType.`getEffectType()`
`@NotNull PotionEffectType`
PotionEffect.`getType()`
Returns the `PotionEffectType` of this effect.
`@NotNull PotionEffectType`
PotionEffectTypeWrapper.`getType()`
Get the potion type bound to this wrapper.
`static @NotNull PotionEffectType[]`
PotionEffectType.`values()`
Returns an array of all the registered `PotionEffectType`s.
Methods in org.bukkit.potion with parameters of type PotionEffectType
Modifier and Type
Method
Description
`@NotNull PotionEffect`
PotionBrewer.`createEffect(@NotNull PotionEffectType potion, int duration, int amplifier)`
Creates a `PotionEffect` from the given `PotionEffectType`, applying duration modifiers and checks.
`static @Nullable PotionType`
PotionType.`getByEffect(@Nullable PotionEffectType effectType)`
Deprecated.
Misleading
`static void`
PotionEffectType.`registerPotionEffectType(@NotNull PotionEffectType type)`
Registers an effect type with the given object.
`@NotNull PotionEffect`
PotionEffect.`withType(@NotNull PotionEffectType type)`
Constructors in org.bukkit.potion with parameters of type PotionEffectType
Modifier
Constructor
Description
``
`PotionEffect(@NotNull PotionEffectType type, int duration, int amplifier)`
Creates a potion effect.
``
`PotionEffect(@NotNull PotionEffectType type, int duration, int amplifier, boolean ambient)`
Creates a potion effect.
``
`PotionEffect(@NotNull PotionEffectType type, int duration, int amplifier, boolean ambient, boolean particles)`
Creates a potion effect with no defined color.
``
`PotionEffect(@NotNull PotionEffectType type, int duration, int amplifier, boolean ambient, boolean particles, boolean icon)`
Creates a potion effect.